﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using Infragistics.Controls.Menus;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace SL_xamTree_custom_expanders
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            
            //Create and instantiate xamtree control.
            XamTree myTree = new XamTree();

            //Create the root item
            XamTreeItem programs = new XamTreeItem();
            programs.Header = "Programs";
               // Set Collapsed & Expanded images for Root Item
            programs.CollapsedIcon = new Image();
            (programs.CollapsedIcon as Image).Source = new BitmapImage(new Uri("Images/collaspedParent.png", UriKind.RelativeOrAbsolute));
            programs.ExpandedIcon = new Image();
            (programs.ExpandedIcon as Image).Source = new BitmapImage(new Uri("Images/expandParent.png", UriKind.RelativeOrAbsolute));

            // Create a child item and add it to the root item
            XamTreeItem financeProgram = new XamTreeItem();
            financeProgram.Header = "Finance Programs";
            programs.Items.Add(financeProgram);
               // Set Collapsed & Expanded images for this item
            financeProgram.CollapsedIcon = new Image();
            (financeProgram.CollapsedIcon as Image).Source = new BitmapImage(new Uri("Images/collaspedChildren.png", UriKind.RelativeOrAbsolute));
            financeProgram.ExpandedIcon = new Image();
            (financeProgram.ExpandedIcon as Image).Source = new BitmapImage(new Uri("Images/expandChildren.png", UriKind.RelativeOrAbsolute));

            // Create an item and add it to the root item
            XamTreeItem photoProgram = new XamTreeItem();
            photoProgram.Header = "Photo Editor";
            programs.Items.Add(photoProgram);

            // Create a child item and add it to the Finance Programs item
            XamTreeItem calculatorProgram = new XamTreeItem();
            calculatorProgram.Header = "Calculator";
            financeProgram.Items.Add(calculatorProgram);

            //Finally, add the root item to the Tree‘s collection of items and then add xamTree to the layout container's Children collection
            myTree.Items.Add(programs);
            this.LayoutRoot.Children.Add(myTree);

        }
    }
}
